﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows.Input;

namespace CyclicRefError.ViewModel {

  public class CyclicRefViewModel {

    public CyclicRefViewModel() {
      TabList = TabClass.GetList();
    }

    public ObservableCollection<TabClass> TabList { get; set; }
  }

  public class TabClass {
    public string Title { get; set; }
    public string Content { get; set; }
    public int Value { get; set; }

    public TabClass(string title, string content, int value) {
      Title = title;
      Content = content;
      Value = value;
    }

    public static ObservableCollection<TabClass> GetList() {
      var result = new ObservableCollection<TabClass>();
      result.Add(new TabClass("Tab 1", "Content 1", 0));
      result.Add(new TabClass("Tab 2", "Content 2", 1));
      result.Add(new TabClass("Tab 3", "Content 3", 2));
      result.Add(new TabClass("Tab 4", "Content 4", 3));
      result.Add(new TabClass("Tab 5", "Content 5", 4));
      result.Add(new TabClass("Tab 6", "Content 6", 5));
      result.Add(new TabClass("Tab 7", "Content 7", 6));
      result.Add(new TabClass("Tab 8", "Content 8", 7));
      result.Add(new TabClass("Tab 9", "Content 9", 8));
      result.Add(new TabClass("Tab 10", "Content 10", 9));

      return result;
    }
  }
}
